package p.studio.compiler.source.identifiers;

public class IntrinsicId extends SourceIdentifier {
    public static final IntrinsicId NONE = new IntrinsicId(-1);

    public IntrinsicId(final int id) {
        super(id);
    }

    public static IntrinsicId none() {
        return NONE;
    }

    public boolean isNone() {
        return this == NONE;
    }
}
